---
lang: en
title: 'API docs: rest.createcontrollerfactoryforbinding'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.createcontrollerfactoryforbinding.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [createControllerFactoryForBinding](./rest.createcontrollerfactoryforbinding.md)

## createControllerFactoryForBinding() function

Create a controller factory function for a given binding key

<b>Signature:</b>

```typescript
export declare function createControllerFactoryForBinding<T>(key: string): ControllerFactory<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | string | Binding key |

<b>Returns:</b>

[ControllerFactory](./rest.controllerfactory.md)<!-- -->&lt;T&gt;


